libzypp 17.37.10

zypp::resstatus::StatusBackup Class Reference

`#include <zypp/ResStatus.h>`

## Public Member Functions
| StatusBackup ()
| StatusBackup (ResStatus &status_r)
void | replay ()

## Private Attributes
ResStatus * | _status
ResStatus::BitFieldType | _bitfield

## Detailed Description

Definition at line 730 of file ResStatus.h.

## Constructor & Destructor Documentation

## ◆ StatusBackup() [1/2]

zypp::resstatus::StatusBackup::StatusBackup | ( |  | ) |
| inline

Definition at line 733 of file ResStatus.h.

## ◆ StatusBackup() [2/2]

zypp::resstatus::StatusBackup::StatusBackup | ( | ResStatus & | status_r | ) |
| inline

Definition at line 737 of file ResStatus.h.

## Member Function Documentation

## ◆ replay()

void zypp::resstatus::StatusBackup::replay | ( |  | ) |
| inline

Definition at line 742 of file ResStatus.h.

## Member Data Documentation

## ◆ _status

ResStatus* zypp::resstatus::StatusBackup::_status
| private

Definition at line 746 of file ResStatus.h.

## ◆ _bitfield

ResStatus::BitFieldType zypp::resstatus::StatusBackup::_bitfield
| private

Definition at line 747 of file ResStatus.h.

The documentation for this class was generated from the following file:

- zypp/ResStatus.h